import request from '@/utils/request'

// 查询当前年份审计装置列表
export function getAuditDeptList() {
  return request({
    url: '/rc/audit/getAuditDeptList',
    method: 'get'
  })
}

// 查询首页顶部四个方框数据
export function getHomeData() {
  return request({
    url: '/rc/audit/homeData',
    method: 'get'
  })
}

// 查询首页柱状图数据
export function getBar() {
  return request({
    url: '/rc/audit/bar',
    method: 'get'
  })
}

// 查询首页饼图数据
export function getPie() {
  return request({
    url: '/rc/audit/pie',
    method: 'get'
  })
}

// 查询当前登录用户所在部门最近一次审计记录
export function getCurrent() {
  return request({
    url: '/rc/audit/current',
    method: 'get'
  })
}

// 查询审计记录列表
export function listAudit(query) {
  return request({
    url: '/rc/audit/list',
    method: 'get',
    params: query
  })
}

// 查询审计记录详细
export function getAudit(id) {
  return request({
    url: '/rc/audit/' + id,
    method: 'get'
  })
}

// 新增审计记录
export function addAudit(data) {
  return request({
    url: '/rc/audit',
    method: 'post',
    data: data
  })
}

// 修改审计记录
export function updateAudit(data) {
  return request({
    url: '/rc/audit',
    method: 'put',
    data: data
  })
}

// 删除审计记录
export function delAudit(id) {
  return request({
    url: '/rc/audit/' + id,
    method: 'delete'
  })
}
